%define languageenglazy Spanish
%define languagecode    es
%define lc_ctype        es_ES

%define upstream_version 20081215

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 10
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv3+ or GPLv3+ or MPLv1.1
Group:          System/Internationalization
URL:            http://es.openoffice.org/programa/diccionario.html
Source0:        http://es.openoffice.org/files/documents/73/3001/es_ANY.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-es
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-es_AR = %{version}-%{release}
Provides:       hunspell-es_BO = %{version}-%{release}
Provides:       hunspell-es_CL = %{version}-%{release}
Provides:       hunspell-es_CO = %{version}-%{release}
Provides:       hunspell-es_CR = %{version}-%{release}
Provides:       hunspell-es_CU = %{version}-%{release}
Provides:       hunspell-es_DO = %{version}-%{release}
Provides:       hunspell-es_EC = %{version}-%{release}
Provides:       hunspell-es_GT = %{version}-%{release}
Provides:       hunspell-es_HN = %{version}-%{release}
Provides:       hunspell-es_MX = %{version}-%{release}
Provides:       hunspell-es_NI = %{version}-%{release}
Provides:       hunspell-es_PA = %{version}-%{release}
Provides:       hunspell-es_PE = %{version}-%{release}
Provides:       hunspell-es_PR = %{version}-%{release}
Provides:       hunspell-es_PY = %{version}-%{release}
Provides:       hunspell-es_SV = %{version}-%{release}
Provides:       hunspell-es_US = %{version}-%{release}
Provides:       hunspell-es_UY = %{version}-%{release}
Provides:       hunspell-es_VE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-es_AR = 2
Provides:       dictionary-es_BO = 2
Provides:       dictionary-es_CL = 2
Provides:       dictionary-es_CO = 2
Provides:       dictionary-es_CR = 2
Provides:       dictionary-es_CU = 2
Provides:       dictionary-es_DO = 2
Provides:       dictionary-es_EC = 2
Provides:       dictionary-es_GT = 2
Provides:       dictionary-es_HN = 2
Provides:       dictionary-es_MX = 2
Provides:       dictionary-es_NI = 2
Provides:       dictionary-es_PA = 2
Provides:       dictionary-es_PE = 2
Provides:       dictionary-es_PR = 2
Provides:       dictionary-es_PY = 2
Provides:       dictionary-es_SV = 2
Provides:       dictionary-es_US = 2
Provides:       dictionary-es_UY = 2
Provides:       dictionary-es_VE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-es_MX < 1.0.3
Provides:       myspell-es_MX

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *

%install
install -D -m 0644 -p es_ANY.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p es_ANY.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    for lang in ../hunspell/*.dic
    do
        lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.txt Changelog.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.20081215.1-10.mga4
+ Revision: 505600
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20081215.1-9.mga3
+ Revision: 353446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20081215.1-8.mga3
+ Revision: 325250
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 0.20081215.1-7.mga2
+ Revision: 224619
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20081215.1-6.mga2
+ Revision: 207712
- use better obsoleting of myspell

* Tue Jan 17 2012 kamil <kamil> 0.20081215.1-5.mga2
+ Revision: 197170
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20081215.1-4.mga1
+ Revision: 68744
- imported package hunspell-es


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081215-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081215-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081215-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 16 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081215-1
- latest version

* Mon Sep 29 2008 Caolan McNamara <caolanm@redhat.com> - 0.20051031-3
- add es_CU as Cuba for OOo

* Tue Jul 08 2008 Caolan McNamara <caolanm@redhat.com> - 0.20051031-2
- add es_US

* Mon Aug 20 2007 Caolan McNamara <caolanm@redhat.com> - 0.20051031-1
- latest version
- clarify license version

* Thu Aug 09 2007 Caolan McNamara <caolanm@redhat.com> - 0.20050510-2
- clarify license version

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20050510-1
- initial version
